package com.etest.statictest.Controller;

import com.etest.statictest.utils.FileUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

/**
 * 文件上传管理,用来上传文件
 * @author nan
 * @date 2020/6/28 8:48
 */
@RestController
@RequestMapping("file")
public class FileUploadController   {
private static final Logger LOGGER = LoggerFactory.getLogger(FileUploadController.class);

/**
 * 上传文件，返回文件的id，路径和更新时间
 * @param uploadFile
 * @return
 */
@CrossOrigin
@PostMapping("upload")
public HashMap<String, String> fileUpload(@RequestParam("file") MultipartFile uploadFile){ 
//得到你当前运行文件在服务器上的绝对路径;
		HashMap<String, String> upload = FileUtil.upload(uploadFile, "uploadFile/");
		return  upload;
	}
}
